> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.athenaintel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.athenaintel.com/_mcp/server.

# Update workspace configuration

PUT https://api.athenaintel.com/api/v0/workspaces/{workspace_id}/configuration
Content-Type: application/json

Update workspace configuration settings. Currently supports updating the workspace disclaimer. Only the fields provided will be updated; other configuration keys are preserved. Requires workspace owner or admin permissions.

Reference: https://docs.athenaintel.com/api-reference/workspaces/update-configuration

## Authentication

- `X-API-KEY` header (required) — API Key authentication via header

## Request

### Path parameters

- `workspace_id` (string, required)

### Body (application/json)

This endpoint expects an UpdateWorkspaceConfigurationRequestIn.

- `workspace_disclaimer` (UpdateWorkspaceDisclaimerIn, optional, nullable) — Workspace disclaimer settings to update

## Response

### 200

Workspace configuration updated successfully

- `workspace_id` (string, required) — The workspace ID
- `workspace_disclaimer` (WorkspaceDisclaimerOut, optional, nullable) — Workspace disclaimer settings

## Errors

### 403 Forbidden Error

User is not a workspace owner or admin

- `any`

### 404 Not Found Error

Workspace not found

- `any`

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### UpdateWorkspaceDisclaimerIn

Input model for updating workspace disclaimer.

- `enabled` (boolean, required) — Whether the disclaimer is enabled
- `acceptButtonText` (string, optional, nullable) — Text for the accept button
- `markdownText` (string, optional, nullable) — Markdown content of the disclaimer message
- `title` (string, optional, nullable) — Title displayed at the top of the disclaimer modal

### WorkspaceDisclaimerOut

Workspace disclaimer configuration.

- `enabled` (boolean, required) — Whether the disclaimer is enabled
- `accept_button_text` (string, optional, nullable) — Text for the accept button
- `markdown_text` (string, optional, nullable) — Markdown content of the disclaimer message
- `title` (string, optional, nullable) — Title displayed at the top of the disclaimer modal

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)
- `ctx` (ValidationErrorCtx, optional)
- `input` (any, optional)

### ValidationErrorLocItems

- string
- integer

### ValidationErrorCtx

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "workspace_id": "ws_abc123",
  "workspace_disclaimer": {
    "enabled": true,
    "accept_button_text": "Accept",
    "markdown_text": "You agree to...",
    "title": "Disclaimer of Use"
  }
}
```

**SDK Code**

```python workspaces_update_configuration_example
import requests

url = "https://api.athenaintel.com/api/v0/workspaces/workspace_id/configuration"

payload = {}
headers = {
    "X-API-KEY": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript workspaces_update_configuration_example
const url = 'https://api.athenaintel.com/api/v0/workspaces/workspace_id/configuration';
const options = {
  method: 'PUT',
  headers: {'X-API-KEY': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go workspaces_update_configuration_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.athenaintel.com/api/v0/workspaces/workspace_id/configuration"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("X-API-KEY", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby workspaces_update_configuration_example
require 'uri'
require 'net/http'

url = URI("https://api.athenaintel.com/api/v0/workspaces/workspace_id/configuration")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["X-API-KEY"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java workspaces_update_configuration_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.athenaintel.com/api/v0/workspaces/workspace_id/configuration")
  .header("X-API-KEY", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php workspaces_update_configuration_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.athenaintel.com/api/v0/workspaces/workspace_id/configuration', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp workspaces_update_configuration_example
using RestSharp;

var client = new RestClient("https://api.athenaintel.com/api/v0/workspaces/workspace_id/configuration");
var request = new RestRequest(Method.PUT);
request.AddHeader("X-API-KEY", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift workspaces_update_configuration_example
import Foundation

let headers = [
  "X-API-KEY": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.athenaintel.com/api/v0/workspaces/workspace_id/configuration")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```